Subject: Re: [PATCH v3] ARM: dts: Add support for Liebherr's BK4 device (vf610 based)

From: Lukasz Majewski <[email-masked]>
Date: Sun, 9 Dec 2018 23:20:11 +0100

Hi Fabio,

> Hi Fabio,
> 
> > Hi Lukasz,
> > 
> > On Thu, Dec 6, 2018 at 11:08 AM Lukasz Majewski <[email-masked]>
> > wrote: 
> > > I will check this latter this week...    
> > 
> > Reading the spi dt-binding it states that the spi slave node is
> > optional.
> > 
> > If I remove it like this, then the warning is gone:  
> 
> Unfortunately, the "slave" node is necessary - the "lwn,bk4"
> compatible causes the spidev driver to be bound. 
> 
> Use space applications on this system use it to perform SPI
> transmission.
> 
> IMHO, removing the node is not a solution - we shall discover why on
> current next we do see such errors.

It seems like those errors were present earlier:

https://www.lkml.org/lkml/2018/9/20/106

and 

https://www.lkml.org/lkml/2018/9/20/669

It seems like the commit: 5a2ecf0de0d3d7a79e21397ad530904a72b903bb
seems to fix the issue.

But I don't know why it doesn't work in this case.

> 
> > 
> > --- a/arch/arm/boot/dts/vf610-bk4.dts
> > +++ b/arch/arm/boot/dts/vf610-bk4.dts
> > @@ -109,12 +109,6 @@
> >         bus-num = <3>;
> >         status = "okay";
> >         spi-slave;
> > -
> > -       slave@0 {
> > -               compatible = "lwn,bk4";
> > -               spi-max-frequency = <30000000>;
> > -               reg = <0>;
> > -       };
> >  };
> > 
> >  &edma0 {
> > 
> > Does spi slave still work without it?  
> 
> 
> Best regards,
> 
> Lukasz Majewski
> 
> --
> 
> DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
> HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
> Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email:
> [email-masked]

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel